> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Credits Details

> Get detailed user credits information including Stripe data.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/billing/credits/details
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/billing/credits/details:
    get:
      tags:
        - Billing
      summary: Get User Credits Details
      description: Get detailed user credits information including Stripe data.
      operationId: get_user_credits_details_api_v2_external_billing_credits_details_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserCredits'
components:
  schemas:
    UserCredits:
      properties:
        user_id:
          type: string
          title: User Id
        email:
          type: string
          title: Email
        available_credits:
          type: number
          title: Available Credits
        used_credits:
          type: number
          title: Used Credits
        total_credits_used:
          type: number
          title: Total Credits Used
        stripe_customer_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Stripe Customer Id
        created_at:
          type: string
          format: date-time
          title: Created At
        last_updated:
          type: string
          format: date-time
          title: Last Updated
      type: object
      required:
        - user_id
        - email
        - available_credits
        - used_credits
        - total_credits_used
        - created_at
        - last_updated
      title: UserCredits
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````